com.elastisys.scale.cloudpool.api.types

## Class Machine.EvictableMemberPredicate

- java.lang.Object
- - com.elastisys.scale.cloudpool.api.types.Machine.EvictableMemberPredicate

All Implemented Interfaces:
  com.google.common.base.Predicate<Machine>

Enclosing class:
  Machine

    public static class Machine.EvictableMemberPredicate
    extends Object
    implements com.google.common.base.Predicate<Machine>

A `Predicate` that returns `true` when passed a `Machine` with an evictable `MembershipStatus`.

### Constructor Summary

Constructors
Constructor and Description
`EvictableMemberPredicate()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `apply(Machine machine)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.google.common.base.Predicate

`equals`

### Constructor Detail

#### EvictableMemberPredicate

    public EvictableMemberPredicate()

### Method Detail

#### apply

    public boolean apply(Machine machine)

Specified by:
  `apply` in interface `com.google.common.base.Predicate<Machine>`